package com.persagy.calendar.client.model;

import java.util.List;
import java.util.Set;

import com.alibaba.fastjson.JSONObject;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 所有 查询操作的验证基类
 * @company persagy
 * @author zhangqiankun
 * @since 2020年9月28日:	下午9:18:00
 */

@Getter
@Setter
@ToString
public class BaseQueryModel<T> {
	
	private T criteria;

	private List<JSONObject> orders;

	private Integer page;

	private Integer size;

    private Set<String> withColumns;

}
