package com.persagy.calendar.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.persagy.calendar.pojo.dto.OldWorkCalendar;

/**
 * 工作历主表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2020-10-02 11:33:00
 */
@Mapper
public interface OldWorkCalendarMapper {
	
	List<OldWorkCalendar> queryOldCalendarList(OldWorkCalendar oldWorkCalendar);

	List<OldWorkCalendar> queryOldCalendarRuleList(@Param("id") String id, @Param("tag") String tag, 
			@Param("projectId") String projectId, @Param("delFlag") String delFlag, @Param("ruleFlag") String ruleFlag);
	
}
