package com.persagy.calendar.pojo.old;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午8:56:12
 */
@Getter
@Setter
@ApiModel
public class OldCalendarRuleVO<T> {
	
	@Valid
	@NotEmpty(message = "rules不可为空")
	@ApiModelProperty(value = "规则集合", required = true)
	private List<T> rules;
	
}
