package com.persagy.calendar.pojo.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年12月6日 下午3:33:03
 */
@Getter
@Setter
@ToString
@ApiModel
public class CalculateExtraDateVO {

	@NotBlank(message = "用户ID，不可为空")
	@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	@NotNull(message = "标签有效时间段范围，不可为空")
	@ApiModelProperty(value = "标签有效时间段范围", required = true)
	private List<String> labelDates;
	
}
