package com.persagy.calendar.pojo.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月4日:	下午3:31:22
 */
@Getter
@Setter
@ToString
@ApiModel
public class DictCodeCreate {
	
	@ApiModelProperty(value = "字典编码", required = true)
	private String dictCode; // 字典编码
	
	@NotBlank(message = "字典编码描述不可为空")
	@ApiModelProperty(value = "字典编码描述", required = true)
	private String dictDesc; // 字典编码描述
	
}
