package com.persagy.calendar.pojo.vo;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月2日:	下午4:50:41
 */
@Getter
@Setter
@ToString
@ApiModel
public class WorkCalendarQueryVO {

	@NotBlank(message = "用户ID不可为空")
	@ApiModelProperty(value = "用户ID", required = true)
	private String userId;
	
	@ApiModelProperty(value = "集团编码", required = true)
	private String groupCode;
	
	//@NotBlank(message = "项目ID不可为空")
	@ApiModelProperty(value = "项目ID", required = true)
	private String projectId; 		// 项目
	
	@ApiModelProperty(name = "ID", value = "主键ID,更新时不可为空")
	private String id;
	
	@ApiModelProperty(value = "工作历名称[支持模糊查询]")
	private String calendarName;	// 同一GROUP_ID下唯一，代码判断
	
	@ApiModelProperty(value = "对象ID")
	private String objId;

}
