package com.persagy.calendar.service;

import java.util.Set;

import com.persagy.calendar.pojo.dto.WorkCalendarObject;
import com.persagy.db.service.ISuperService;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午5:02:08
 */
public interface IWorkCalendarObjectService extends ISuperService<WorkCalendarObject> {

	/**
	 * 创建工作历关联的对象信息
	 * 
	 * @param object
	 * @param objIds
	 */
	boolean batchInsertObjects(WorkCalendarObject object, Set<String> objIds);

	/**
	 * 对象变更所属工作历
	 * @param calendarObject
	 * @param objIds 
	 * @return
	 */
	boolean replaceCalendarObject(WorkCalendarObject calendarObject, Set<String> objIds);

}
