package com.persagy.calendar.service;

import java.util.Set;

import com.persagy.calendar.client.model.BaseModel;
import com.persagy.calendar.client.model.RwdObjectModel;
import com.persagy.common.utils.ResponseResult;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月2日:	下午3:15:44
 */
public interface RwdObjectService {

	/**
	 * 查询出该集团下所有的项目
	 * 
	 * @param groupCode
	 * @return
	 */
	Set<String> queryAllProjects(String groupCode);
	
	/**
	 * 查询物理世界对象信息
	 * @param baseModel
	 * @param objectModel 
	 * @return
	 */
	ResponseResult queryRwdObjects(BaseModel baseModel, RwdObjectModel objectModel);
	
}
