package com.persagy.calendar.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.calendar.pojo.dto.WorkCalendarLabel;

/**
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2020-10-02 18:26:14
 */
@Mapper
public interface WorkCalendarLabelMapper extends BaseMapper<WorkCalendarLabel> {

	/**
	 * 批量创建标签信息
	 * @param calendarLabels
	 */
	Integer batchCreateCalendarLabel(@Param("labels") List<WorkCalendarLabel> calendarLabels);
	
}
