package com.persagy.calendar.pojo.old;

import javax.validation.constraints.NotBlank;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月3日:	下午8:03:26
 */

@Getter
@Setter
public class DataRangeVO {
	
	@NotBlank(message = "开始时间from不可为空[YYYYMMDDHHMMSS]")
	@ApiModelProperty(value = "开始时间", required = true)
	private String from;
	
	@NotBlank(message = "结束时间to不可为空[YYYYMMDDHHMMSS]")
	@ApiModelProperty(value = "结束时间", required = true)
	private String to;
	
}
