package com.persagy.calendar.pojo.old;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午12:54:08
 */
@Getter
@Setter
@ApiModel
public class OldCalendarIntervalsVO<T> {
	
	@NotBlank(message = "id不可为空")
	@ApiModelProperty(value = "工作历ID", required = true)
	private String id;
	
	@Valid
	@NotEmpty(message = "intervals不可为空")
	@ApiModelProperty(value = "intervals", required = true)
	private List<T> intervals;
	
}
