package com.persagy.calendar.pojo.old;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年10月4日:	下午1:49:34
 */
@Getter
@Setter
@ApiModel
public class OldCalendarTagQueryVO {
	
	@NotBlank(message = "tag不可为空")
	@ApiModelProperty(value = "tag值", required = true)
	private String tag;
	
	@Valid
	@NotNull(message = "dates不可为空")
	@ApiModelProperty(value = "dates", required = true)
	private DataRangeVO dates;
	
}
