package com.persagy.calendar.pojo.vo;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2020年12月11日:	下午7:49:57
 */
@Getter
@Setter
@ToString
@ApiModel(description = "批量请求参数")
public class CustomCalendarVO<T> extends BaseVO {

	@ApiModelProperty(value = "是否删除此工作历下已存在的规则，重新添加，默认false")
	private Boolean isDelete;
	
	@Valid
	@NotEmpty(message = "批量信息集合，不可为空")
	@ApiModelProperty(value = "批量信息不可为空", required = true)
	private List<T>  batchInfo;
	
}
