package com.persagy.dye.pojo.vo;

import com.persagy.dye.pojo.dto.DyeBasic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;
import java.util.Map;

/**
 * @description: 染色标尺与页面交互传参对象（因为涉及两个表传参，所以增加这个对象）
 * @author: YangWanYi
 * @create: 2021-10-25 17:26
 **/
@Getter
@Setter
@ToString
@ApiModel
public class DyeScaleplateVO extends DyeBasic {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "动态监测数据")
    private List<Map<String, Object>> dynamicArray;

    @ApiModelProperty(value = "参数查询日期")
    private String queryDate;

    @ApiModelProperty(value = "集团编码")
    private String groupCode;

    @ApiModelProperty(value = "项目ID")
    private String projectId;


}
