package com.persagy.dye.service;

import com.persagy.db.service.ISuperService;
import com.persagy.dye.pojo.dto.DyeRuleCustom;

/**
 * 染色规则自定义表
 * 
 * @version v1.0.0
 * @company persagy 
 * @author yangwanyi
 * @date 2021-10-25 15:58:56
 */
public interface IDyeRuleCustomService extends ISuperService<DyeRuleCustom> {

    /**
     * 根据主键逻辑删除染色规则自定义表信息
     * @param dyeRuleCustomId 染色规则自定义表主键
     * @param updateUserId 修改人ID
     * @return boolean
     */
    boolean deleteDyeRuleCustomById(String dyeRuleCustomId, String updateUserId);
}

